<template>
	<div v-if="loading" class="text-center">
		<h4>Loading...</h4>
	</div>
	<div v-else>
		<div>
			<div class="row">
				<div class="col-md-12">
					<form
						class="form-horizontal"
						action="#"
						method="post"
					>
						<div class="row">
							<div class="col-md-6">
								<div class="form-group" :class="showError('location')">
									<label class="col-sm-3 control-label">Location <span class="text-danger">(*)</span></label>

									<div class="col-sm-9">
										<SelectLocation
											v-model="location.selected"
											data-vv-name="location"
											v-validate="'required'"
											@changed="onChangeLocation($event)"
										>
											<option disabled value="">Select one</option>
											<option v-if="location.selected" :value="location.selected" selected="selected">{{ location.data.properties.display_name }}</option>
										</SelectLocation>
										<span v-show="errors.has('location')" class="help-block">
											<i class="fa fa-warning"></i>
											{{ errors.first('location') }}
										</span>
									</div>
								</div>
								<div class="form-group" :class="showError('points')">
									<label for="remaining" class="col-sm-3 control-label">Point</label>
									<div class="col-sm-3">
										<input type="number" v-model="formData.points" min="0" class="form-control" name="points" v-validate="'min:0|is_integer'"  id="remaining">
									</div>
									<span v-show="errors.has('points')" class="help-block">
									{{ errors.first('points') }}
								</span>
								</div>
							</div>

						</div><!--end row-->
						<div class="row">
							<div class="col-md-6">
								<div class="form-group">
									<div class="col-sm-offset-3 col-sm-9">
										<button type="button" @click="validateForm" class="btn btn-danger">Save</button>
									</div>
								</div>
							</div>
						</div><!--end row-->
					</form>
				</div>
				<div class="col-md-12">
					<div id="map" class="map"></div>
				</div>
			</div>
		</div>
	</div>
</template>

<script src='./Edition.js'></script>

<style>
	.map { height: 300px; }
	.select2-result-repository {
		padding-top: 4px;
		padding-bottom: 3px;
	}
	.select2-result-repository__avatar {
		float: left;
		width: 60px;
		margin-right: 10px;
	}
	.select2-result-repository__meta {
		margin-left: 70px;
	}
	.select2-result-repository__title {
		color: black;
		font-weight: 700;
		overflow-wrap: break-word;
		line-height: 1.1;
		margin-bottom: 4px;
	}
	.select2-result-repository__description {
		font-size: 13px;
		color: rgb(119, 119, 119);
		margin-top: 4px;
	}
	.select2-result-repository__forks, .select2-result-repository__stargazers {
		margin-right: 1em;
	}
	.select2-results__option--highlighted .select2-result-repository__forks, .select2-results__option--highlighted .select2-result-repository__stargazers, .select2-results__option--highlighted .select2-result-repository__description, .select2-results__option--highlighted .select2-result-repository__watchers {
		color: rgb(198, 220, 239);
	}
	.select2-result-repository__avatar img {
		width: 100%;
		height: auto;
		border-radius: 2px;
	}
	.select2-result-repository__forks, .select2-result-repository__stargazers, .select2-result-repository__watchers {
		display: inline-block;
		color: rgb(170, 170, 170);
		font-size: 11px;
	}
	.select2-results__option--highlighted .select2-result-repository__title {
		color: white;
	}
	.select2-container--default .select2-results__option--highlighted[aria-selected] {
		background-color: rgb(88, 151, 251);
		color: white;
	}
</style>
